### Method

# Secret Service encode_dbus_secret

#### Declaration [src]

    GVariant*
    secret_service_encode_dbus_secret (
      SecretService* service,
      SecretValue* value
    )

#### Description [src]

Encodes a `SecretValue` into `GVariant` for use with the Secret Service DBus API.

The resulting `GVariant` will have a `(oayays)` signature.

A session must have already been established by the `SecretService`.

#### Parameters

`value`

  Type: `SecretValue`

  The secret value.

  The data is owned by the caller of the method.

#### Return value

Type: `GVariant`

The encoded secret.

The returned data is owned by the instance.